> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customer Subscriptions

> Fetches active and inactive subscriptions securely for an authenticated customer.



## OpenAPI

````yaml get /portal/subscriptions
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /portal/subscriptions:
    get:
      tags:
        - Customer Portal
      summary: List Customer Subscriptions
      description: >-
        Fetches active and inactive subscriptions securely for an authenticated
        customer.
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad Request
        '401':
          description: Unauthorized

````